import "./tasks/depth.wdl" as depth

workflow {{ project_name }} {
	File raw_bam
	File raw_bam_idx
	File deduped_bam
	File deduped_bam_idx
	String sample_id
	File regions
	String docker
	String cluster_config
	String disk_size

	call depth.depth as depth {
		input:	
		raw_bam=raw_bam,
		raw_bam_idx=raw_bam_idx,
		deduped_bam=deduped_bam,
		deduped_bam_idx=deduped_bam_idx,
		sample_id=sample_id,
		regions=regions,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}